## sonnet 5.18.0

=== CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8.12)

project(Sonnet)

include(FeatureSummary)
find_package(ECM 5.18.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake )

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings)
include(KDECMakeSettings)

set(REQUIRED_QT_VERSION 5.3.0)
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets)


include(GenerateExportHeader)

include(ECMSetupVersion)
include(ECMGenerateHeaders)

include(ECMPoQmTools)

set(KF5_VERSION "5.18.0") # handled by release scripts

ecm_setup_version(${KF5_VERSION} VARIABLE_PREFIX SONNET
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/sonnet_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5SonnetConfigVersion.cmake"
                        SOVERSION 5)

if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ecm_install_po_files_as_qm(po)
endif()

add_subdirectory(src)
add_subdirectory(autotests)
add_subdirectory(data)
add_subdirectory(examples)


# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Sonnet")

include(ECMPackageConfigHelpers)

ecm_configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KF5SonnetConfig.cmake.in" "${CMAKE_CURRENT_BINARY_DIR}/KF5SonnetConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              )

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/KF5SonnetConfig.cmake"
              "${CMAKE_CURRENT_BINARY_DIR}/KF5SonnetConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"  COMPONENT Devel )

install(EXPORT KF5SonnetTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5SonnetTargets.cmake NAMESPACE KF5:: )

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/sonnet_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel )

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
remove_definitions(-DQT_NO_CAST_FROM_ASCII)

include(ECMMarkAsTest)
include(ECMAddTests)

find_package(Qt5Test ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)

########### unittests ###############

macro(SONNET_UNIT_TESTS)
  foreach(_testname ${ARGN})
    ecm_add_test(${_testname}.cpp TEST_NAME sonnet-${_testname} LINK_LIBRARIES KF5::SonnetCore Qt5::Test)
  endforeach()
endmacro(SONNET_UNIT_TESTS)

sonnet_unit_tests(
    # test_filter
 test_core
 test_suggest
 test_settings
)

=== src/core/CMakeLists.txt ===
project(sonnetcore)

set(sonnetcore_SRCS
   loader.cpp
   client.cpp
   spellerplugin.cpp
   speller.cpp
   settings.cpp
   backgroundchecker.cpp
   guesslanguage.cpp
   textbreaks.cpp
   tokenizer.cpp
   languagefilter.cpp
)

# Dear packagers, this is just used as an extra search paths for plugins. Don't get your panties in a twist.
add_definitions(-DINSTALLATION_PLUGIN_PATH="${CMAKE_INSTALL_PREFIX}/${KDE_INSTALL_PLUGINDIR}")


add_library(KF5SonnetCore ${sonnetcore_SRCS})
generate_export_header(KF5SonnetCore BASE_NAME SonnetCore EXPORT_FILE_NAME sonnetcore_export.h)
add_library(KF5::SonnetCore ALIAS KF5SonnetCore)

ecm_generate_headers(SonnetCore_CamelCase_HEADERS
  HEADER_NAMES
    BackgroundChecker
    Speller
    GuessLanguage
  PREFIX Sonnet
  REQUIRED_HEADERS SonnetCore_HEADERS
)

target_link_libraries(KF5SonnetCore PUBLIC Qt5::Core)

set_target_properties(KF5SonnetCore PROPERTIES VERSION ${SONNET_VERSION_STRING}
                                               SOVERSION ${SONNET_SOVERSION}
                                               EXPORT_NAME SonnetCore
)

# CMAKE_CURRENT_BINARY_DIR: for camelcase headers and lowercase forwarders
target_include_directories(KF5SonnetCore INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/SonnetCore>")
target_include_directories(KF5SonnetCore PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>")

install(TARGETS KF5SonnetCore EXPORT KF5SonnetTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES ${SonnetCore_CamelCase_HEADERS} DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/SonnetCore/Sonnet COMPONENT Devel)

install(FILES
   ${SonnetCore_HEADERS}
   ${CMAKE_CURRENT_BINARY_DIR}/sonnetcore_export.h
   DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/SonnetCore/sonnet COMPONENT Devel)

include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME SonnetCore LIB_NAME KF5SonnetCore DEPS "core" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/SonnetCore)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== src/plugins/aspell/CMakeLists.txt ===

include_directories( ${ASPELL_INCLUDE_DIR})


########### next target ###############

set(sonnet_aspell_PART_SRCS aspellclient.cpp aspelldict.cpp )

if(WIN32)
add_definitions(-DCMAKE_INSTALL_PREFIX="${CMAKE_INSTALL_PREFIX}")
endif()
add_library(sonnet_aspell MODULE ${sonnet_aspell_PART_SRCS})

target_link_libraries(sonnet_aspell PRIVATE KF5::SonnetCore ${ASPELL_LIBRARIES})

set_target_properties(sonnet_aspell PROPERTIES OUTPUT_NAME "aspell")
install(TARGETS sonnet_aspell  DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/sonnet/)

=== src/plugins/hspell/CMakeLists.txt ===
find_package(ZLIB)
set_package_properties(ZLIB PROPERTIES DESCRIPTION "Support for gzip compressed files and data streams"
                       URL "http://www.zlib.net"
                       TYPE REQUIRED
                       PURPOSE "Required by the hspell sonnet plugin"
                      )

include_directories(${HSPELL_INCLUDE_DIR})


########### next target ###############

set(sonnet_hspell_PART_SRCS hspellclient.cpp hspelldict.cpp )


add_library(sonnet_hspell MODULE ${sonnet_hspell_PART_SRCS})

target_link_libraries(sonnet_hspell PRIVATE KF5::SonnetCore ${HSPELL_LIBRARIES} ${ZLIB_LIBRARY})

set_target_properties(sonnet_hspell PROPERTIES OUTPUT_NAME "hspell")
install(TARGETS sonnet_hspell  DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/sonnet/)

=== src/plugins/hunspell/CMakeLists.txt ===

########### next target ###############

if (EXISTS "/usr/share/hunspell/")
add_definitions(-DHUNSPELL_MAIN_DICT_PATH="/usr/share/hunspell/")
elseif (EXISTS "/usr/share/myspell/")
add_definitions(-DHUNSPELL_MAIN_DICT_PATH="/usr/share/myspell/")
endif (EXISTS "/usr/share/hunspell/")

include_directories( ${HUNSPELL_INCLUDE_DIR} )
set(sonnet_hunspell_PART_SRCS
    hunspellclient.cpp
    hunspelldict.cpp
    hunspelldebug.cpp
)

add_library(sonnet_hunspell MODULE ${sonnet_hunspell_PART_SRCS})

target_link_libraries(sonnet_hunspell PRIVATE KF5::SonnetCore ${HUNSPELL_LIBRARIES})

set_target_properties(sonnet_hunspell PROPERTIES OUTPUT_NAME "hunspell")
install(TARGETS sonnet_hunspell  DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/sonnet/)

## sonnet 5.3.0

=== debian/changelog ===
sonnet (5.3.0-0ubuntu1) utopic; urgency=medium

  [ Harald Sitter ]
  * Do not build depend on qt5-default, we only need qtbase5-dev

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 Oct 2014 11:12:01 +0100

sonnet (5.2.0-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Use pkg-kde-tools version 3 scripts

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 22 Sep 2014 19:43:07 +0200

sonnet (5.1.0-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * Update copyright to match licensing to source 

  [ José Manuel Santamaría Lema ]
  * Update libraries *.install paths so a soname bump doesn't go
    unnoticed.

  [ Scarlett Clark ]
  * New upstream release
  * Patch symbols with batchpatch 

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Tue, 05 Aug 2014 17:13:17 +0200

sonnet (5.0.0-0ubuntu1) utopic; urgency=medium

  [ Jonathan Riddell ]
  * Initial stable upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 10 Jul 2014 17:55:17 +0200

=== debian/control ===
Source: sonnet
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 8.0.0),
               extra-cmake-modules (>= 1.2.0),
               hspell,
               libenchant-dev,
               libhunspell-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.2.0),
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.5
Section: libs
Homepage: http://projects.kde.org/sonnet
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/frameworks/attica.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/attica.git

Package: libkf5sonnet-dev
Section: libdevel
Architecture: any
Depends: libkf5sonnetcore5 (= ${binary:Version}),
         libkf5sonnetui5 (= ${binary:Version}),
         qtbase5-dev
Description: spell checking library for Qt
 Sonnet is a Qt based library that offers easy access to spell
 checking using various plugin based backends.  It is part of KDE
 Frameworks 5.
 .
 This package contains development files for building software that uses
 libraries from the Sonnet framework

Package: libkf5sonnetcore5
Section: libs
Architecture: any
Multi-Arch: same
Depends: libkf5sonnet5-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: sonnet-plugins (= ${binary:Version})
Description: spell checking library for Qt
 Sonnet is a Qt based library that offers easy access to spell
 checking using various plugin based backends.  It is part of KDE
 Frameworks 5.

Package: libkf5sonnetui5
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: sonnet-plugins (= ${binary:Version})
Description: spell checking library for Qt
 Sonnet is a Qt based library that offers easy access to spell
 checking using various plugin based backends.  It is part of KDE
 Frameworks 5.
 .
 This package provides Qt based GUI elements that can be used
 by projects to construct spell checking user interfaces.

Package: libkf5sonnet5-data
Section: libs
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: spell checking library for Qt
 Sonnet is a Qt based library that offers easy access to spell
 checking using various plugin based backends.  It is part of KDE
 Frameworks 5.
 .
 This package contains the translations.

Package: sonnet-plugins
Section: kde
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: hspell 
Description: spell checking library for Qt
 Sonnet is a Qt based library that offers easy access to spell
 checking using various plugin based backends.  It is part of KDE
 Frameworks 5.
 .
 This package provides plugins used by Sonnet to interact with
 the various spell checking backends.

Package: libkf5sonnet5-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libkf5sonnetcore5 (= ${binary:Version}),
         libkf5sonnetui5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: spell checking library for Qt
 Sonnet is a Qt based library that offers easy access to spell
 checking using various plugin based backends.  It is part of KDE
 Frameworks 5.
 .
 This package contains debugging files used to investigate problems with
 binaries included in the Sonnet framework

## sonnet 5.9.0

=== debian/changelog ===
sonnet (5.9.0-0tanglu1) staging; urgency=medium

  * Upload for Tanglu

 -- Matthias Klumpp <mak@debian.org>  Thu, 23 Apr 2015 19:41:32 +0200

sonnet (5.9.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 13 Apr 2015 22:27:32 +0200

sonnet (5.8.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Mar 2015 15:37:22 +0100

sonnet (5.7.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Tue, 10 Feb 2015 16:54:45 +0100

sonnet (5.6.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 06 Jan 2015 20:15:32 +0100

sonnet (5.5.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 11:13:20 +0100

sonnet (5.4.0-0ubuntu1) vivid; urgency=medium

  [ Scarlett Clark ]
  * Add new dependency to Aspell 

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Nov 2014 15:02:08 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 8.0.0),
-               extra-cmake-modules (>= 1.2.0),
+               extra-cmake-modules (>= 1.8.0),
                hspell,
+               libaspell-dev,
                libenchant-dev,
                libhunspell-dev,
                pkg-config,
@@ -13,10 +14,10 @@
                qtbase5-dev (>= 5.2.0),
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Section: libs
 Homepage: http://projects.kde.org/sonnet
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/frameworks/attica.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/attica.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/attica.git
 
 Package: libkf5sonnet-dev

## sonnet 5.15.0

=== debian/changelog ===
sonnet (5.15.0-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * Vivid backport

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 07 Oct 2015 14:00:43 +0100

sonnet (5.14.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Thu, 17 Sep 2015 13:29:55 +0100

sonnet (5.13.0-0ubuntu1) wily; urgency=medium

  * new upstream release
  * Add build-dep on libvoikko-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 13:37:15 +0200

sonnet (5.12.0-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release

  [ José Manuel Santamaría Lema ]
  * Update symbols files:
    - Add new symbols; this doesn't break compilation on gcc 5 nor gcc 4.

  [ Scarlett Clark ]
  * Vivid backports. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 03 Aug 2015 16:12:48 +0200

sonnet (5.11.0-1) unstable; urgency=medium

  * New upstream release (5.10.0).
  * Update symbols files from buildds logs (5.9.0-1).
  * New upstream release (5.11.0).
  * Update copyright information.
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 26 Jun 2015 12:20:12 +0200

sonnet (5.10.0-0ubuntu1) wily; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.0).
  * Update symbols files from buildds logs (5.9.0-1).

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Jun 2015 20:37:29 +0200

sonnet (5.9.0-1) experimental; urgency=medium

  * New upstream release (5.9.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Apr 2015 08:24:49 +0200

sonnet (5.8.0-1) experimental; urgency=medium

  * New upstream release (5.8.0).
  * Update copyright information.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 14 Mar 2015 22:26:50 +0100

sonnet (5.7.0-1) experimental; urgency=medium

  * New upstream release (5.7.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 04 Mar 2015 17:45:33 +0100

sonnet (5.6.0-1) experimental; urgency=medium

  [ Harald Sitter ]
  * Do not build depend on qt5-default, we only need qtbase5-dev

  [ Scarlett Clark ]
  * Add new build dependency to Aspell.

  [ Maximiliano Curia ]
  * New upstream release (5.6.0).
  * Bump build dependencies to build against the experimental versions.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update install files.
  * Update build dependencies to follow cmake.
  * Update copyright information.
  * Add basic autopkgtests support.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 24 Jan 2015 19:41:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,31 +1,33 @@
 Source: sonnet
+Section: libs
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
-               debhelper (>= 8.0.0),
-               extra-cmake-modules (>= 1.8.0),
+Build-Depends: cmake (>= 2.8.12),
+               debhelper (>= 9),
+               extra-cmake-modules (>= 5.15.0~),
                hspell,
                libaspell-dev,
-               libenchant-dev,
                libhunspell-dev,
+               libvoikko-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.2.0),
-               qttools5-dev,
-               qttools5-dev-tools
+               qtbase5-dev (>= 5.4),
+               qttools5-dev (>= 5.4),
+               qttools5-dev-tools (>= 5.4),
+               zlib1g-dev
 Standards-Version: 3.9.6
-Section: libs
+XS-Testsuite: autopkgtest
 Homepage: http://projects.kde.org/sonnet
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/attica.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/attica.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/sonnet.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/sonnet.git
 
 Package: libkf5sonnet-dev
 Section: libdevel
 Architecture: any
 Depends: libkf5sonnetcore5 (= ${binary:Version}),
          libkf5sonnetui5 (= ${binary:Version}),
-         qtbase5-dev
+         qtbase5-dev (>= 5.4)
 Description: spell checking library for Qt
  Sonnet is a Qt based library that offers easy access to spell
  checking using various plugin based backends.  It is part of KDE
@@ -48,7 +50,6 @@
  Frameworks 5.
 
 Package: libkf5sonnetui5
-Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -62,7 +63,6 @@
  by projects to construct spell checking user interfaces.
 
 Package: libkf5sonnet5-data
-Section: libs
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -77,7 +77,7 @@
 Section: kde
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Suggests: hspell 
+Suggests: hspell
 Description: spell checking library for Qt
  Sonnet is a Qt based library that offers easy access to spell
  checking using various plugin based backends.  It is part of KDE
@@ -90,11 +90,11 @@
 Section: debug
 Priority: extra
 Architecture: any
+Multi-Arch: same
 Depends: libkf5sonnetcore5 (= ${binary:Version}),
          libkf5sonnetui5 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Multi-Arch: same
 Description: spell checking library for Qt
  Sonnet is a Qt based library that offers easy access to spell
  checking using various plugin based backends.  It is part of KDE

## sonnet 5.18.0

=== debian/changelog ===
sonnet (5.18.0-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * Debian Merge: No remaining changes. 
  * New upstream release Xenial

  [ Philip Muškovac ]
  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 07 Mar 2016 23:29:09 +0100

sonnet (5.16.0-1) unstable; urgency=medium

  * New upstream release (5.16.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 30 Nov 2015 12:12:13 +0100

sonnet (5.15.0-1) unstable; urgency=medium

  * New upstream release (5.15.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 09 Oct 2015 19:15:43 +0200

sonnet (5.15.0-0ubuntu2) xenial; urgency=medium

  * Fix autopackagetests by adding allow-stderr to the requirements.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 03 Nov 2015 15:34:57 +0100

sonnet (5.14.0-1) unstable; urgency=medium

  * New upstream release (5.14.0).
  * Removed private classes from exported symbols.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 15 Sep 2015 13:47:24 +0200

sonnet (5.13.0-2) unstable; urgency=medium

  * Add aspell as a build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 11 Sep 2015 20:49:49 +0200

sonnet (5.13.0-1) unstable; urgency=medium

  * New upstream release (5.13.0).
  * Update symbols files from buildds logs (5.12.0-1).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 27 Aug 2015 18:35:58 +0200

sonnet (5.12.0-1) unstable; urgency=medium

  * New upstream release (5.12.0).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 09 Jul 2015 12:42:41 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 2.8.12),
+Build-Depends: aspell,
+               cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.15.0~),
+               extra-cmake-modules (>= 5.18.0~),
                hspell,
                libaspell-dev,
                libhunspell-dev,
@@ -17,7 +18,6 @@
                qttools5-dev-tools (>= 5.4),
                zlib1g-dev
 Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
 Homepage: http://projects.kde.org/sonnet
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/sonnet.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/sonnet.git

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=libkf5sonnet5-dbg

=== debian/watch ===
version=3
http://download.kde.org/unstable/frameworks/([\d\.]*)/sonnet-(.*)\.tar\.xz
http://download.kde.org/stable/frameworks/([\d\.]*)/sonnet-(.*)\.tar\.xz

## sonnet 5.26.0

=== debian/changelog ===
sonnet (5.26.0-0ubuntu1) yakkety; urgency=medium

  * Adding usr/bin/gentrigrams to install file
  * New upstream release (5.26.0)

 -- Rik Mills <rik.mills88@gmail.com>  Thu, 22 Sep 2016 13:53:50 +0100

sonnet (5.24.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.24.0)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 26 Jul 2016 08:52:26 +0000

sonnet (5.23.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.23.0)

 -- Clive Johnston <clivejo@kubuntu.org>  Mon, 11 Jul 2016 22:25:33 +0200

sonnet (5.22.0-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release. 
  * Debian merge: No remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * Adding usr/bin/parsetrigrams to install file
  * Fixing missing-dependency-on-libc
  * New upstream release

 -- Clive Johnston <clivejo@kubuntu.org>  Tue, 17 May 2016 17:03:33 -0700

sonnet (5.19.0-1) experimental; urgency=medium

  * New upstream release (5.19.0).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 13 Feb 2016 15:15:44 +0100

sonnet (5.18.0-1) experimental; urgency=medium

  * New upstream release (5.17.0).
  * New upstream release (5.18.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 13:33:11 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: aspell,
                cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.18.0~),
+               extra-cmake-modules (>= 5.26.0~),
                hspell,
                libaspell-dev,
                libhunspell-dev,
@@ -19,15 +19,17 @@
                zlib1g-dev
 Standards-Version: 3.9.6
 Homepage: http://projects.kde.org/sonnet
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/sonnet.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/sonnet.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/sonnet
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/sonnet
 
 Package: libkf5sonnet-dev
 Section: libdevel
 Architecture: any
 Depends: libkf5sonnetcore5 (= ${binary:Version}),
          libkf5sonnetui5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.4)
+         qtbase5-dev (>= 5.4),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: spell checking library for Qt
  Sonnet is a Qt based library that offers easy access to spell
  checking using various plugin based backends.  It is part of KDE
@@ -85,20 +87,3 @@
  .
  This package provides plugins used by Sonnet to interact with
  the various spell checking backends.
-
-Package: libkf5sonnet5-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Multi-Arch: same
-Depends: libkf5sonnetcore5 (= ${binary:Version}),
-         libkf5sonnetui5 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: spell checking library for Qt
- Sonnet is a Qt based library that offers easy access to spell
- checking using various plugin based backends.  It is part of KDE
- Frameworks 5.
- .
- This package contains debugging files used to investigate problems with
- binaries included in the Sonnet framework

## sonnet 5.28.0

=== examples/CMakeLists.txt ===
remove_definitions(-DQT_NO_CAST_FROM_ASCII)

add_executable(dialog dialogexample.cpp)
target_link_libraries(dialog KF5::SonnetCore KF5::SonnetUi)

add_executable(highlighter highlighterexample.cpp)
target_link_libraries(highlighter KF5::SonnetCore KF5::SonnetUi)

add_executable(configdialog configdialog.cpp)
target_link_libraries(configdialog KF5::SonnetCore KF5::SonnetUi)

add_executable(dictionarycombobox dictionarycombobox.cpp)
target_link_libraries(dictionarycombobox KF5::SonnetCore KF5::SonnetUi)

add_executable(textedit textedit.cpp)
target_link_libraries(textedit KF5::SonnetCore KF5::SonnetUi)

add_executable(plaintextedit plaintextedit.cpp)
target_link_libraries(plaintextedit KF5::SonnetCore KF5::SonnetUi)

=== src/core/CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,7 @@
    textbreaks.cpp
    tokenizer.cpp
    languagefilter.cpp
+   core_debug.cpp
 )
 
 # Dear packagers, this is just used as an extra search paths for plugins. Don't get your panties in a twist.

=== src/plugins/aspell/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 ########### next target ###############
 
-set(sonnet_aspell_PART_SRCS aspellclient.cpp aspelldict.cpp )
+set(sonnet_aspell_PART_SRCS aspellclient.cpp aspelldict.cpp aspell_debug.cpp)
 
 if(WIN32)
 add_definitions(-DCMAKE_INSTALL_PREFIX="${CMAKE_INSTALL_PREFIX}")

=== debian/changelog ===
sonnet (5.28.0-2) unstable; urgency=medium

  * Update the sonnet-plugins package description (Closes: 801728)
  * Pick "Fix segfault in trigrams generation and expose MAXGRAMS constant in
    the header" (c7f0b14)
    Add upstream patch as:
     Fix-segfault-in-trigrams-generation-and-expose-MAXGRAMS-c.patch

 -- Maximiliano Curia <maxy@debian.org>  Sun, 09 Apr 2017 11:32:31 +0200

sonnet (5.28.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.28)
  * Bump group breaks (5.28)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 18 Nov 2016 16:03:17 +0100

sonnet (5.27.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.27)
  * Bump group breaks (5.27)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 15 Oct 2016 16:58:27 +0200

sonnet (5.26.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Update install files
  * Bump group breaks (5.26)

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 Sep 2016 11:58:31 +0200

sonnet (5.25.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Bump group breaks (5.25)

 -- Maximiliano Curia <maxy@debian.org>  Thu, 18 Aug 2016 17:17:52 +0200

sonnet (5.23.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Sat, 18 Jun 2016 08:32:31 +0200

sonnet (5.22.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 22 May 2016 08:52:20 +0200

sonnet (5.22.0-1) experimental; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Add a dev-bin package for the parsetrigrams cross building helper

 -- Maximiliano Curia <maxy@debian.org>  Wed, 18 May 2016 23:42:06 +0200

sonnet (5.21.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Update acc test script
  * uscan no longer supports more than one main upstream tarball being listed

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 3.9.8

 -- Maximiliano Curia <maxy@debian.org>  Thu, 05 May 2016 18:50:33 +0200

=== debian/control ===
Source: sonnet
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: aspell,
               cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.28.0~),
               hspell,
               libaspell-dev,
               libhunspell-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.5.0~),
               qttools5-dev (>= 5.4),
               qttools5-dev-tools (>= 5.4),
               zlib1g-dev
Standards-Version: 3.9.8
Homepage: http://projects.kde.org/sonnet
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/sonnet.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/sonnet.git

Package: libkf5sonnet-dev
Section: libdevel
Architecture: any
Depends: libkf5sonnet-dev-bin (= ${binary:Version}),
         libkf5sonnetcore5 (= ${binary:Version}),
         libkf5sonnetui5 (= ${binary:Version}),
         qtbase5-dev (>= 5.5.0~),
         ${misc:Depends}
Description: spell checking library for Qt, devel files
 Sonnet is a Qt based library that offers easy access to spell
 checking using various plugin based backends.  It is part of KDE
 Frameworks 5.
 .
 This package contains development files for building software that uses
 libraries from the Sonnet framework.
Breaks: libkf5khtml-dev (<< 5.28), libkf5textwidgets-dev (<< 5.28)

Package: libkf5sonnet-dev-bin
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: spell checking library for Qt, devel binaries
 Sonnet is a Qt based library that offers easy access to spell
 checking using various plugin based backends.  It is part of KDE
 Frameworks 5.
 .
 This package contains the utility programs related to the Sonnet framework.

Package: libkf5sonnetcore5
Section: libs
Architecture: any
Multi-Arch: same
Depends: libkf5sonnet5-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: sonnet-plugins (= ${binary:Version})
Description: spell checking library for Qt, core lib
 Sonnet is a Qt based library that offers easy access to spell
 checking using various plugin based backends.  It is part of KDE
 Frameworks 5.
Breaks: libkf5khtml5 (<< 5.28),
        libkf5texteditor5 (<< 5.28),
        libkf5textwidgets5 (<< 5.28)

Package: libkf5sonnetui5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: sonnet-plugins (= ${binary:Version})
Description: spell checking library for Qt, ui lib
 Sonnet is a Qt based library that offers easy access to spell
 checking using various plugin based backends.  It is part of KDE
 Frameworks 5.
 .
 This package provides Qt based GUI elements that can be used
 by projects to construct spell checking user interfaces.
Breaks: kdesignerplugin (<< 5.28),
        libkf5khtml5 (<< 5.28),
        libkf5texteditor5 (<< 5.28),
        libkf5textwidgets5 (<< 5.28)

Package: libkf5sonnet5-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: spell checking library for Qt, data files
 Sonnet is a Qt based library that offers easy access to spell
 checking using various plugin based backends.  It is part of KDE
 Frameworks 5.
 .
 This package contains the translations.

Package: sonnet-plugins
Section: kde
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: hspell
Description: spell checking library for Qt, plugins
 Sonnet is a Qt based library that offers easy access to spell
 checking using various plugin based backends.  It is part of KDE
 Frameworks 5.
 .
 This package provides plugins used by Sonnet to interact with the following
 spell checking backends: aspell, hunspell or hspell. The dictionaries need to
 be installed separatedly.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5sonnet5-dbg (<= 5.19.0-1~~)'

## sonnet 5.31.0

=== debian/changelog ===
sonnet (5.31.0-0ubuntu1) zesty; urgency=medium

  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * New upstream release (5.31.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 Feb 2017 22:50:45 +0000

sonnet (5.30.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.30.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 01 Feb 2017 18:34:26 +0000

sonnet (5.28.0-0ubuntu1) zesty; urgency=low

  [ Rik Mills ]
  * New upstream release (5.27.0)

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git field to use https:// instead of git://
  * Merge with debian, importing the libkf5sonnet-dev-bin package, add
    Breaks/Replaces against previous versions of libkf5sonnet-dev in
    libkf5sonnet-dev-bin.
  * New upstream release (5.28.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 05 Dec 2016 20:16:29 +0000

=== debian/control ===
Source: sonnet
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: aspell,
               cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               hspell,
               libaspell-dev,
               libhunspell-dev,
               libvoikko-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               qttools5-dev-tools (>= 5.6.1~),
               zlib1g-dev
Standards-Version: 3.9.8
Homepage: http://projects.kde.org/sonnet
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/sonnet
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/sonnet

Package: libkf5sonnet-dev
Architecture: any
Section: libdevel
Depends: libkf5sonnet-dev-bin (= ${binary:Version}),
         libkf5sonnetcore5 (= ${binary:Version}),
         libkf5sonnetui5 (= ${binary:Version}),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends}
Description: spell checking library for Qt, devel files
 Sonnet is a Qt based library that offers easy access to spell
 checking using various plugin based backends.  It is part of KDE
 Frameworks 5.
 .
 This package contains development files for building software that uses
 libraries from the Sonnet framework.

Package: libkf5sonnet-dev-bin
Architecture: any
Multi-Arch: foreign
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5sonnet-dev (<< 5.27.0-1ubuntu1~)
Replaces: libkf5sonnet-dev (<< 5.27.0-1ubuntu1~)
Description: spell checking library for Qt, devel binaries
 Sonnet is a Qt based library that offers easy access to spell
 checking using various plugin based backends.  It is part of KDE
 Frameworks 5.
 .
 This package contains the utility programs related to the Sonnet framework.

Package: libkf5sonnetcore5
Architecture: any
Multi-Arch: same
Section: libs
Depends: libkf5sonnet5-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: sonnet-plugins (= ${binary:Version})
Description: spell checking library for Qt, core lib
 Sonnet is a Qt based library that offers easy access to spell
 checking using various plugin based backends.  It is part of KDE
 Frameworks 5.

Package: libkf5sonnetui5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: sonnet-plugins (= ${binary:Version})
Description: spell checking library for Qt, ui lib
 Sonnet is a Qt based library that offers easy access to spell
 checking using various plugin based backends.  It is part of KDE
 Frameworks 5.
 .
 This package provides Qt based GUI elements that can be used
 by projects to construct spell checking user interfaces.

Package: libkf5sonnet5-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: spell checking library for Qt, data files
 Sonnet is a Qt based library that offers easy access to spell
 checking using various plugin based backends.  It is part of KDE
 Frameworks 5.
 .
 This package contains the translations.

Package: sonnet-plugins
Architecture: any
Section: kde
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: hspell
Description: spell checking library for Qt, plugins
 Sonnet is a Qt based library that offers easy access to spell
 checking using various plugin based backends.  It is part of KDE
 Frameworks 5.
 .
 This package provides plugins used by Sonnet to interact with
 the various spell checking backends.

## sonnet 5.37.0

=== debian/changelog ===
sonnet (5.37.0-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:59:13 +0200

sonnet (5.37.0-1) experimental; urgency=medium

  * New upstream release (5.37.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.37)
  * Add a libkf5sonnet-doc package for the qch files
  * Bump Standards-Version to 4.0.1.
  * Set section for the doc package
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Aug 2017 10:42:35 +0200

sonnet (5.36.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.35.0).
  * Bump Standards-Version to 4.0.0.
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.35)
  * Drop upstream patches
  * Add libvoikko-dev build dep for finnish support
  * watch: Use https uris
  * New upstream release (5.36.0).
  * Bump group breaks (5.36)
  * Update build-deps and deps with the info from cmake

  [ Raymond Wooninck ]
  * Add signing key
  * also include signing-key

  [ Harald Sitter ]
  * acc c++11. now used more liberally

  [ Scarlett Clark ]
  * Add missing file

 -- Maximiliano Curia <maxy@debian.org>  Sun, 09 Jul 2017 23:41:36 +0200

=== debian/control ===
Source: sonnet
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: aspell,
               cmake (>= 3.0~),
               debhelper (>= 9),
               doxygen,
               extra-cmake-modules (>= 5.37.0~),
               graphviz,
               hspell,
               libaspell-dev,
               libhunspell-dev,
               libqt5sql5-sqlite,
               libvoikko-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.7.0~),
               qttools5-dev (>= 5.4),
               qttools5-dev-tools (>= 5.4),
               zlib1g-dev,
Standards-Version: 4.1.0
Homepage: http://projects.kde.org/sonnet
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/sonnet.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/sonnet.git

Package: libkf5sonnet-dev
Section: libdevel
Architecture: any
Depends: libkf5sonnet-dev-bin (= ${binary:Version}),
         libkf5sonnetcore5 (= ${binary:Version}),
         libkf5sonnetui5 (= ${binary:Version}),
         qtbase5-dev (>= 5.7.0~),
         ${misc:Depends},
Recommends: libkf5sonnet-doc (= ${source:Version})
Description: spell checking library for Qt, devel files
 Sonnet is a Qt based library that offers easy access to spell
 checking using various plugin based backends.  It is part of KDE
 Frameworks 5.
 .
 This package contains development files for building software that uses
 libraries from the Sonnet framework.
Breaks: libkf5khtml-dev (<< 5.37), libkf5textwidgets-dev (<< 5.37)

Package: libkf5sonnet-dev-bin
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: spell checking library for Qt, devel binaries
 Sonnet is a Qt based library that offers easy access to spell
 checking using various plugin based backends.  It is part of KDE
 Frameworks 5.
 .
 This package contains the utility programs related to the Sonnet framework.

Package: libkf5sonnet-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: spell checking library for Qt (documentation)
 Sonnet is a Qt based library that offers easy access to spell
 checking using various plugin based backends.  It is part of KDE
 Frameworks 5.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5sonnet5-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: spell checking library for Qt, data files
 Sonnet is a Qt based library that offers easy access to spell
 checking using various plugin based backends.  It is part of KDE
 Frameworks 5.
 .
 This package contains the translations.

Package: libkf5sonnetcore5
Section: libs
Architecture: any
Multi-Arch: same
Depends: libkf5sonnet5-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: sonnet-plugins (= ${binary:Version})
Description: spell checking library for Qt, core lib
 Sonnet is a Qt based library that offers easy access to spell
 checking using various plugin based backends.  It is part of KDE
 Frameworks 5.
Breaks: libkf5khtml5 (<< 5.37),
        libkf5texteditor5 (<< 5.37),
        libkf5textwidgets5 (<< 5.37),

Package: libkf5sonnetui5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: sonnet-plugins (= ${binary:Version})
Description: spell checking library for Qt, ui lib
 Sonnet is a Qt based library that offers easy access to spell
 checking using various plugin based backends.  It is part of KDE
 Frameworks 5.
 .
 This package provides Qt based GUI elements that can be used
 by projects to construct spell checking user interfaces.
Breaks: kdesignerplugin (<< 5.37),
        libkf5khtml5 (<< 5.37),
        libkf5texteditor5 (<< 5.37),
        libkf5textwidgets5 (<< 5.37),

Package: sonnet-plugins
Section: kde
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: hspell
Description: spell checking library for Qt, plugins
 Sonnet is a Qt based library that offers easy access to spell
 checking using various plugin based backends.  It is part of KDE
 Frameworks 5.
 .
 This package provides plugins used by Sonnet to interact with the following
 spell checking backends: aspell, hunspell or hspell. The dictionaries need to
 be installed separatedly.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_configure:
	$(overridden_command) -- -DBUILD_QCH=ON

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5sonnet5-dbg (<= 5.19.0-1~~)'
